cutlass::layout::PackedVectorLayout Class Reference

Tensor layout for densely packed vectors.

`#include <vector.h>`

## Public Types

using | Index = int32_t
| Index type used for coordinates. More...
using | LongIndex = int64_t
| Long index type used for offsets. More...
using | TensorCoord = Coord< kRank, Index >
| Logical coordinate. More...
using | Stride = Coord< kStrideRank, Index >
| Stride vector. More...

## Public Member Functions

CUTLASS_HOST_DEVICE | PackedVectorLayout ()
CUTLASS_HOST_DEVICE LongIndex | operator() (TensorCoord const &coord) const
| Returns the offset of a coordinate in linear memory. More...
CUTLASS_HOST_DEVICE Stride | stride () const
| Returns the stride of the layout. More...
CUTLASS_HOST_DEVICE LongIndex | capacity (TensorCoord const &size) const
| Compute the number of contiguous elements needed to store a tensor with the given size. More...

## Static Public Member Functions

static CUTLASS_HOST_DEVICE PackedVectorLayout | packed (TensorCoord const &size)
| Helper returns a layout to a tightly packed tensor. More...

## Static Public Attributes

static int const | kRank = 1
| Logical rank of tensor. More...
static int const | kStrideRank = 1
| Rank of stride vector. More...

## Member Typedef Documentation

using cutlass::layout::PackedVectorLayout::Index = int32_t

using cutlass::layout::PackedVectorLayout::LongIndex = int64_t

using cutlass::layout::PackedVectorLayout::Stride = Coord<kStrideRank, Index>

using cutlass::layout::PackedVectorLayout::TensorCoord = Coord<kRank, Index>

## Constructor & Destructor Documentation

CUTLASS_HOST_DEVICE cutlass::layout::PackedVectorLayout::PackedVectorLayout | ( |  | ) |

inline

## Member Function Documentation

CUTLASS_HOST_DEVICE LongIndex cutlass::layout::PackedVectorLayout::capacity | ( | TensorCoord const & | size | ) | const

inline

CUTLASS_HOST_DEVICE LongIndex cutlass::layout::PackedVectorLayout::operator() | ( | TensorCoord const & | coord | ) | const

inline

static CUTLASS_HOST_DEVICE PackedVectorLayout cutlass::layout::PackedVectorLayout::packed | ( | TensorCoord const & | size | ) |

inlinestatic

CUTLASS_HOST_DEVICE Stride cutlass::layout::PackedVectorLayout::stride | ( |  | ) | const

inline

## Member Data Documentation

int const cutlass::layout::PackedVectorLayout::kRank = 1

static

int const cutlass::layout::PackedVectorLayout::kStrideRank = 1

static

The documentation for this class was generated from the following file:

- vector.h